import {defineConfig, loadEnv} from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vitejs.dev/config/
export default defineConfig(({mode}) => {
  const env = loadEnv(mode, process.cwd(), "")
  return ({
    plugins: [vue()],
    server: {
      proxy: {
        '/papi': {
          target: `http://${env.VITE_APP_PROXY_BASE_API}/api`,
          secure: false, // 如果是https接口，需要配置这个参数
          changeOrigin: true,
          rewrite: (path) => path.replace(/^\/papi/, ''),
        }
      }
    }
  })
})
